package models

import (
	"github.com/beego/beego/v2/client/orm"
	"time"
)

type CygxInviteCompany struct {
	Id         int       `gorm:"column:id;primary_key;AUTO_INCREMENT" json:"id"`
	UserId     int       `gorm:"column:user_id" json:"user_id"`                            // 用户ID
	Mobile     string    `gorm:"column:mobile" json:"mobile"`                              // 手机号
	Email      string    `gorm:"column:email" json:"email"`                                // 邮箱
	Source     int       `gorm:"column:source;default:1;NOT NULL" json:"source"`           // 来源，1络町
	SourceCode string    `gorm:"column:source_code;default:1;NOT NULL" json:"source_code"` // 来源编码
	CreateTime time.Time `gorm:"column:create_time" json:"create_time"`                    // 创建时间
}

// 添加
func AddCygxInviteCompany(item *CygxInviteCompany) (err error) {
	o := orm.NewOrm()
	_, err = o.Insert(item)
	return
}
