package utils

const (
	Md5Key = "Ks@h64WJ#tcVgG8$&WlNfqvLAtMgpxWN"
)

// 常量定义
const (
	FormatTime             = "15:04:05"                //时间格式
	FormatDate             = "2006-01-02"              //日期格式
	FormatDateTime         = "2006-01-02 15:04:05"     //完整时间格式
	HlbFormatDateTime      = "2006-01-02_15:04:05.999" //完整时间格式
	FormatDateTimeNoSecond = "2006-01-02 15:04"        //完整时间格式
	FormatDateTimeUnSpace  = "20060102150405"          //完整时间格式
	FormatDateTimeInit     = "0000-00-00 00:00:00"     //为空的初始化时间格式
	PageSize15             = 15                        //列表页每页数据量
	FormatYearDate         = "2006"                    //日期格式
	PageSize5              = 5
	PageSize10             = 10
	PageSize20             = 20
	PageSize30             = 30
)

const (
	APPNAME           = "弘则-查研观向"
	EmailSendToUsers  = "glji@hzinsights.com;pyan@hzinsights.com;cxzhang@hzinsights.com"
	EmailSendToExpert = "cxzhang@hzinsights.com"
	DefaultHeadimgurl = "https://hzstatic.hzinsights.com/static/temp/20220426202204/20220426/P5qLR2zzfBdKItp3eX2Du1tvq9Ba.jpg"
	ApiAuthorization  = "bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkiLCJwaG9uZV9udW1iZXIiOiIxMjM0NTY3ODkiLCJuYW1lIjoi5YW25LuWIiwiZW50cmFuY2UiOiJwYXNzd3dvcmQiLCJpYXQiOjE2MzQ4NzA1OTQsImV4cCI6MTYzNDg3NDE5NH0.tho2L9jsbDPn8ltEGUVDve_nHsh0Kzf6ZrSz0RcZ0ag"
	ApiUrl            = "https://vmp.hzinsights.com/v2api/"
	REGISTER_PLATFORM = 1 // 来源 1小程序，2：网页
)

// 手机号，电子邮箱正则
const (
	RegularMobile             = "^((13[0-9])|(14[5|7])|(15([0-3]|[5-9]))|(18[0-9])|(17[0-9])|(16[0-9])|(19[0-9]))\\d{8}$"               //手机号码
	RegularFixedTelephone     = "^(\\(\\d{3,4}\\)|\\d{3,4}-|\\s)?\\d{7,14}$"                                                            //手机号码
	RegularFixedTelephoneEasy = "^[0-9\\-]+$"                                                                                           //手机号码
	RegularEmail              = `\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*`                                                           //匹配电子邮箱
	RegularUrl                = `(http|ftp|https):\/\/([\w\-_]+(?:(?:\.[\w\-_]+)+))([\w\-\.,@?^=%&amp;:/~\+#]*[\w\-\@?^=%&amp;/~\+#])?` //匹配电子邮箱
)

// 聚合短信
var (
	JhGnTplId = "250078" //聚合国内模板编码
	JhGjTplId = "10054"  //聚合国内模板编码

	JhGnAppKey = "4c8504c49dd335e99cfd7b6a3a9e2415" //聚合国内AppKey
	JhGjAppKey = "3326ad2c1047a4cd92ace153e6044ca3"
)

// OSS
var (
	Endpoint   string = "oss-cn-shanghai.aliyuncs.com"
	Bucketname string = "hongze"

	Imghost          string = "https://hongze.oss-cn-shanghai.aliyuncs.com/"
	Upload_dir       string = "static/images/"
	Upload_Audio_Dir string = "static/audio/"
	Upload_Pdf_Dir   string = "static/pdf/"

	AccessKeyId     string = "LTAIFMZYQhS2BTvW"
	AccessKeySecret string = "12kk1ptCHoGWedhBnKRVW5hRJzq9Fq"
)

// 缓存key
const (
	CACHE_KEY_USER_VIEW           = "user_view_record"           //用户阅读数据
	CACHE_KEY_ARTICLE_ID_TEMPLATE = "ce_lue_article_id_template" //策略平台同步过来的文章ID，做微信模板消息推送，同一篇报告12小时只推送一次
)

// 模板消息推送类型
const (
	TEMPLATE_MSG_CYGX_ACTIVITY_ADD = 12 //查研观向小程序活动更新推送 12
	TEMPLATE_MSG_CYGX_ARTICLE_ADD  = 13 //查研观向报告更新推送  13
	TEMPLATE_MSG_CYGX_APPLY        = 14 //查研观向审批通知
	TEMPLATE_MSG_CYGX_COMMENT      = 15 //查研观向留言通知
)

const (
	CHART_PERMISSION_NAME_YANXUAN    string = "研选"
	CHART_PERMISSION_NAME_MF_YANXUAN string = "买方研选"
	CHART_PERMISSION_ID_YANXUAN      int    = 31
	C_CLASS_ACTIVITY_TYPE_ID         int    = 7 //C类电话会会议ID
	ANALYST_TELL_ACTIVITY_TYPE_ID    int    = 2 //分析师电话会ID
	CE_LUE_NAME                      string = "策略"
	CE_LUE_ID                        int    = 23
	YI_YAO_NAME                      string = "医药"
	YI_YAO_OTHER_IMG                 string = "https://hzstatic.hzinsights.com/static/temp/20221118202211/20221118/qzPm61bVf40Je7c5iL1s4CbrDcpv.png" //医药其它图片
	YI_YAO_ID                        int    = 22
	XIAO_FEI_NAME                    string = "消费"
	XIAO_FEI_OTHER_IMG               string = "https://hzstatic.hzinsights.com/static/temp/20221118202211/20221118/BxOfzECjhqjipJCWwAa9Ep99OTMA.png" //消费其它图片
	XIAO_FEI_ID                      int    = 21
	KE_JI_NAME                       string = "科技"
	KE_JI_OTHER_IMG                  string = "https://hzstatic.hzinsights.com/static/temp/20221118202211/20221118/vr7eTXIrl6YjJ80DDTVbdnFRQ9mJ.png" //科技其它图片
	KE_JI_ID                         int    = 20
	ZHI_ZAO_NAME                     string = "智造"
	ZHI_ZAO_OTHER_IMG                string = "https://hzstatic.hzinsights.com/static/temp/20221118202211/20221118/SSaQcWzMk5slN3FkCwZifK3qcAWd.png" //智造其它图片
	ZHI_ZAO_ID                       int    = 19
	LINK_WX_EXPLAIN                         = "https://mp.weixin.qq.com/s?__biz=Mzg2OTYzODk0Nw==&mid=2247483662&idx=1&sn=3752df99025189b9d77fe658bfc0edbd&chksm=ce98b742f9ef3e54b49986e647dd951a3aad74f323174b252174e0938c264c0562c8ec455106#rd" //用户阅读数据
	ACTIVITY_SPECIAL_EXPLAIN                = "预报名专项调研行程持续更新中，满10家即开团，欢迎点击感兴趣预报名"                                                                                                                                                                //用户阅读数据
	HZ_COMPANY_ID                    int    = 16                                                                                                                                                                                                 // 弘则公司的ID
	HONG_GUAN_NAME                   string = "宏观"
	HONG_GUAN_ID                     int    = 1
	GU_SHOU_NAME                     string = "固收"
	GU_SHOU_ID                       int    = 100000                          // 自定义权限类型ID ，十万起步
	YAN_XUAN_ARTICLE_TYPE_IDS        string = "1,2,12"                        // 属于研选的报告类型ID
	NO_YAN_XUAN_ARTICLE_TYPE_IDS     string = "13"                            // 不属于研选的报告类型ID
	CYGX_TACTICS_TIME_LINE_STATUS    string = "cygx_tactics_time_line_status" // 策略时间线是否对外开放
	TIME_LINE_ID                     int    = 99999                           // 策略时间线的值
	TIME_LINE_NAME                   string = "时间线"                           // 策略时间线的名称
	ACTEGORY_ID_AI_QY                int    = 61                              // AI前沿自定义ID
)

const (
	CHART_INFO_HTTP_URL       = "https://vmp.hzinsights.com/v2/charts/"
	COLLECTIONS_INFO_HTTP_URL = "https://vmp.hzinsights.com/v2/collections"
)

const (
	YAN_XUAN_EXPLAIN = "买方研选内容实行阶段，限时免费。也欢迎您向我们提宝贵建议。"
	YAN_XUAN_TAB_KEY = "yanxuan_header_tab"
)

const (
	YI_DONG_ZHENG_TONG_YUN_TOKEN_KEY = "YI_DONG_ZHENG_TONG_YUN_TOKEN_KEY" //易董证通云的token，存Redis使用
	CYGX_USER_KEY_LABEL              = "CYGX_USER_KEY_LABEL"              //查研观向用户标签
	CYGX_YANXUAN_POINTS_KEY          = "CYGX_YANXUAN_POINTS_KEY"          //查研观向研选活动扣点KEY
)

const (
	SHANG_HAI_CRM_API_TOKEN = "SHANG_HAI_CRM_API_TOKEN"
)

// 邀请机构标识
const (
	LUODING_CODE = "LUODING" //络町
)

const (
	//专项调研背景图片
	//ACTIVITY_ZXDY_ImgUrl1 = "https://hzstatic.hzinsights.com/static/temp/20220427202204/20220427/b2Bj3fGakP16iJRFKisQohCWnCNl.png"
	//ACTIVITY_ZXDY_ImgUrl2 = "https://hzstatic.hzinsights.com/static/temp/20220427202204/20220427/OkunjfKEgo5KRLifzwwLX8cDZnnN.png"
	//ACTIVITY_ZXDY_ImgUrl3 = "https://hzstatic.hzinsights.com/static/temp/20220426202204/20220426/XDLLsjC9XAAy8LIzQr7GsjrBbtX6.png"

	ACTIVITY_ZXDY_ImgUrl1 = "https://hzstatic.hzinsights.com/static/temp/20220830202208/20220830/2c4YHXzwb0uqvIfgPvBV4MZtKNX9.png"
	ACTIVITY_ZXDY_ImgUrl2 = "https://hzstatic.hzinsights.com/static/temp/20220830202208/20220830/UERktOWyQQEoPeckdy01TEZP09Pu.png"
	ACTIVITY_ZXDY_ImgUrl3 = "https://hzstatic.hzinsights.com/cygx/special_list_bg.png"
)

const (
	YI_YAO_QI_TA = "https://hzstatic.hzinsights.com/static/temp/20220922202209/20220922/2OQMBFplQE1R3bX1y3obX7JSwSuA.png"
	YAN_XUAN_IMG = "https://hzstatic.hzinsights.com/static/temp/20221027202210/20221027/Dd8TrsMh8tNx2tGd5VeaQDyJVQfV.png"
)

const (
	COMPANY_PRODUCT_FICC_ID   = 1
	COMPANY_PRODUCT_FICC_NAME = "ficc"
	COMPANY_PRODUCT_RAI_ID    = 2
	COMPANY_PRODUCT_RAI_NAME  = "权益"
)

// 微信模板消息推送公共接口的秘钥
const (
	SendTemplateMsgAuthorization = "dc855fce962a639faa779cbdd4cd332f"
)

// 模板消息地址路由
const (
	WX_MSG_PATH_ARTICLE_DETAIL           = "pageMy/reportDetail/reportDetail?id="                         //文章详情模板消息地址
	WX_MSG_PATH_ACTIVITY_DETAIL          = "activityPages/activityDetail/activityDetail?id="              //活动模板消息地址
	WX_MSG_PATH_ACTIVITY_SPECIAL_DETAIL  = "activityPages/specialDetail/specialDetail?id="                //专项调研活动模板消息地址
	WX_MSG_PATH_ACTIVITY_INDUSTRYR_EPORT = "reportPages/IndustryReport/IndustryReport?id="                //产业文章列表模板消息地址
	WX_MSG_PATH_ABOUT_US                 = "pageMy/followUs/followUs"                                     //关于我们页面路径
	WX_MSG_PATH_AUTHOR_DETAIL            = "reportPages/authorPages/authorPages?id="                      //作者详情模板消息地址
	WX_MSG_PATH_INDUSTRY_DETAIL          = "reportPages/IndustryReport/IndustryReport?id="                //产业详情模板消息地址
	WX_MSG_PATH_PRODUCTINTERIOR_DETAIL   = "reportPages/internalDetials/internalDetials?id="              //产品内测详情模板消息地址
	WX_MSG_PATH_THIS_WEEK_DETAIL         = "reportPages/reportSecretDetail/reportSecretDetail?type=2&id=" //本周研究汇总详情模板消息地址
	WX_MSG_PATH_LAST_WEEK_DETAIL         = "reportPages/reportSecretDetail/reportSecretDetail?type=3&id=" //上周纪要汇总详情模板消息地址
	WX_MSG_PATH_KEY_COMPANY_DETAIL       = "reportPages/keyCompany/keyCompany"                            //重点公司详情模板消息地址
	WX_MSG_PATH_RESEARCHTHEME_DETAIL     = "reportPages/researchTheme/researchTheme?id="                  //主题详情模板消息地址
	WX_MSG_PATH_ACTIVITY_SIGN            = "pages-message/activityTemplate/activityTemplate?id="          //活动模板消息地址
	WX_MSG_PATH_APPLY_DETAIL             = "pages-message/applyFor/applyFor?id="                          //潜在用户试用权限申请
	WX_MSG_PATH_YX_SURVEY_DETAIL         = "pages-purchaser/survey/surveyDetail?surveyId="                //用户提交研选调研需求
	WX_MSG_PATH_APPLY_COLLECTION_DETAIL  = "reportPages/bulletinDetail/bulletinDetail?id="                //精选看板申请详情页
)

//2：文章详情  https://web.hzinsights.com/material/info/8436  小程序路径：/pageMy/reportDetail/reportDetail?id=
//3：活动详情  https://web.hzinsights.com/activity/detail/2701  小程序路径：/activityPages/activityDetail/activityDetail?id=
//4：产业详情  https://web.hzinsights.com/indepth/info/20/79  小程序路径：/reportPages/IndustryReport/IndustryReport?id=
//5：关于我们  https://clpttest.hzinsights.com/about
//6：产品内测 https://clpttest.hzinsights.com/internal/article/29  小程序路径：/reportPages/internalDetials/internalDetials?id=
//7：本周研究汇总 https://clpttest.hzinsights.com/summary/2/152  小程序路径：/reportPages/reportSecretDetail/reportSecretDetail?type=2&id=
//8：上周研究汇总 https://clpttest.hzinsights.com/summary/3/112 小程序路径：/reportPages/reportSecretDetail/reportSecretDetail?type=3&id=
//9：专项调研活动 https://clpttest.hzinsights.com/activity/info/70  小程序路径：/activityPages/specialDetail/specialDetail?id=
//10： 重点公司 https://clpttest.hzinsights.com/recent/67  小程序路径：/reportPages/keyCompany/keyCompany
//11： 主题详情 https://clpttest.hzinsights.com/community/theme/117  小程序路径：/reportPages/researchTheme/researchTheme?id=
//12： 作者详情 https://clpttest.hzinsights.com/community/author/78 小程序路径：/reportPages/authorPages/authorPages?id=

// 模板消息地址路由
const (
	ACtIVITY_SPECIAL_EXPLAIN      = "此类调研具体行程尚未确定，待预报名人数满10人后弘则会确定行程并推送给您活动日期，只有在确定行程中再次报名才完成占位。"                        //专项调研说明
	ACtIVITY_SPECIAL_TRIP_EXPLAIN = "此类调研时间安排已经确定，点击报名后按人次扣除对应机构的服务点数。由于每场活动人数有限，如果不能参加请提前48小时取消，未及时取消导致影响其他客户报名将会维持扣点。" //专项调研说明
)

const (
	GAO_YI_ZI_CHAN_COMPANY_ID = 5285 // 高毅资产ID
)

// 模板消息地址路由2
const (
	WX_MSG_PATH_TEMPLATE_MSG = "/pages-message/templateMsg/templateMsg?" //留言带问模版消息地址详情
)

const (
	TPL_MSG_WANG_YANG           = "tpl_msg_wang_yang"           //汪洋手机号地址参数
	TPL_MSG_WANG_FANG_WANG_YANG = "tpl_msg_wang_fang_wang_yang" //权限模板消息接收人,王芳，汪洋
	TPL_MSG                     = "tpl_msg"                     //王芳手机号地址参数
	TPL_MSG_NEI_RONG_ZU         = "tpl_msg_nei_rong_zu"         //内容组四人
)

const (
	MobileShenTao       = "18767183922" //沈涛手机号
	MobileZhangChuanXin = "15557270714" // 张传星手机号
	MobileWangFang      = "18621268829" // 王芳手机号
	MobileWuAngDi       = "18701809782" // 吴昂迪手机号
)

const (
	CYGX_OBJ_ARTICLE            string = "article"            // 对象类型：文章
	CYGX_OBJ_ACTIVITY           string = "activity"           // 对象类型：活动
	CYGX_OBJ_ACTIVITYVIDEO      string = "activityvideo"      // 对象类型：活动视频
	CYGX_OBJ_ACTIVITYVOICE      string = "activityvoice"      // 对象类型：活动音频
	CYGX_OBJ_ACTIVITYSPECIAL    string = "activityspecial"    // 对象类型：专项调研活动
	CYGX_OBJ_MEETINGREVIEWCHAPT string = "meetingreviewchapt" // 对象类型：晨会精华
	CYGX_OBJ_ROADSHOW           string = "roadshow"           // 对象类型：路演
	CYGX_OBJ_REPORTSELECTION    string = "reportselection"    // 对象类型：报告精选（重点公司）
	CYGX_OBJ_PRODUCTINTERIOR    string = "productinterior"    // 对象类型：产品内测
	CYGX_OBJ_RESEARCHSUMMARY    string = "researchsummary"    // 对象类型：本周研究汇总
	CYGX_OBJ_MINUTESSUMMARY     string = "minutessummary"     // 对象类型：本周研究汇总
)
